SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.1 2007/08/06 11:54:22 gd Exp $

JNTROSTUP(smsd,,dnl
,dnl
# jailup smsd dir jailname jailaddr dev cuaa
#     where dir relative to ${JAILUPDIR} and ${JAILRODIR}
#           jailname - hostname for jail (see jail(2) hostname)
#           jailaddr - IP addr for jail (see jail(2) ip_number)
#           dev - one of jailup devfull devices
#           cuaa - com port where modem installed (cuaa0 | cuaa1)
# port /usr/port/comm/smstools
#                                                   useddnl
)

   mount=/sbin/mount
vnconfig=/usr/sbin/vnconfig
  umount=/sbin/umount
    zcat=/usr/bin/zcat

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
dev="${4:-vn7sXx}"
cuaa="${5:-cuaa1}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}

ETCOPY(localtime)

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
    smsd
EOF

      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
if [ ! -e "${conf_dir}/smsd.conf" ]
then
    ${up_ponf} "${conf_dir}/smsd.conf" << EOF
devices = GSM1
logfile = /var/log/smsd.log
loglevel = 7
mypath = /usr/libexec

outgoing = /var/spool/sms/outgoing
checked = /var/spool/sms/checked
failed = /var/spool/sms/failed
incoming = /var/spool/sms/incoming
sent = /var/spool/sms/sent

[provider]

[queues]

[GSM1]
init = AT+CPMS="SM"
device = /dev/${cuaa}
incoming = yes
baudrate = 19200
rtscts = yes
cs_convert = yes
report = yes
memory_start = 1
EOF
fi

if  [ ! -e "${conf_dir}/group" ]; then
    ${cat} << "EOF" > "${conf_dir}/group"
uucp:*:66:
dialer:*:68:ispdb
ispdb:*:98:
EOF
fi

if  [ ! -e "${conf_dir}/master.template" ]; then
    ${cat} << "EOF" > "${conf_dir}/master.template"
uucp:*:66:66::0:0::/nonexistent:/nonexistent
ispdb:*:98:98::0:0:ispDB:/home/ispdb:/nonexistent
EOF
fi

if  [ ! -e "${conf_dir}/master.passwd" ]; then
    ${cp} -p "${conf_dir}/master.template" "${conf_dir}/master.passwd"
fi
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################

${pwd_mkdb} -d "${conf_dir}" -p "${conf_dir}/master.passwd"

      #####################################
      ####                             ####
      ####  Begin prepare cuua device  ####
      ####                             ####
${mount} "/dev/${dev}" "${main_dir}/dev"
${rm} -rf ${main_dir}/dev/ptyp*
${rm} -rf ${main_dir}/dev/ttyp*
cd "${main_dir}/dev"
${ln} -fs /dev/MAKEDEV
./MAKEDEV ${cuaa}
${rm} MAKEDEV
cd ${TMPDIR:-/tmp}
${umount} "${main_dir}/dev"
      ####                             ####
      #### End of prepare cuua device  ####
      ####                             ####
      #####################################

${touch} "${main_dir}/var/log/smsd.log"
${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.                       type=dir mode=0755
    group
    localtime
    master.passwd               mode=0600
..
EOF

${cat} << EOF >> "${genconfig}"
#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	98	68
EOF
      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#/dev/${dev}		${main_dir}/dev ufs	rw,noexec,noauto	0 0
#${conf_dir}		${main_dir}/etc	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################

${cat} << EOF >> "${etcdir}/rc.local"
#${mount} "${main_dir}/dev"
#${rm} -f ${main_dir}/dev/ptyp*
#${rm} -f ${main_dir}/dev/tty*
#cd "${main_dir}/dev"
#${ln} -sf /dev/MAKEDEV
#${main_dir}/dev/MAKEDEV ${cuaa}
#${rm} -f "${main_dir}/dev/MAKEDEV"
EOF
